Skip to main content

List distance indexes

GET 

/pipelines/:pipeline_id/search-indexers/:indexer_id/distance-indexes

Returns the distance indexes of a vector index as a JSON array: one database index for each distance strategy that searches of the vector index can use, with the size of the index and whether the build is complete. A new vector index has a distance index for cosine. A search with a distance strategy that has no distance index returns HTTP 400, and a vector index without any distance index cannot be searched.

Permissions. Read on the pipeline.

Distance indexes describes distance indexes.

Request​

Responses​

The body is an array of the distance indexes of the vector index. An entry with valid set to false is still being built.